
%This script reads from an external file the lower and upper bound for
%every decision variable

%the variable 'file' must contain the name of the file
function bounds

global S_name;
global S_file;
global S_linenum;
global S_min;
global S_max;
global Discrete_flag;

global objfunc_name; % function name that returns the objective function value

file=strcat(objfunc_name,'.inp');

fid = fopen(file,'r');

% TB-Autocal Specific %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%[S_num S_name S_file S_linenum S_min S_max]=textread(file,'%f %s %s %f %f %f','headerlines',1);

% if not TB-Autocal then:
% Note that textread_bt has been replaced by textscan in this new version
% to account for newer releases of MATLAB
S_data = textscan(fid,'%s %f %f %f','headerlines',1); 
S_name = S_data{1}; 
S_min = S_data{2};
S_max = S_data{3};
Discrete_flag = S_data{4};

fclose(fid);
